Package javassist.tools.reflect

# Class Sample

java.lang.Object
javassist.tools.reflect.Sample

public class Sample extends Object
A template used for defining a reflective class.

## Constructor Summary

Constructors
Constructor
Description
`Sample()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`trap(Object[] args, int identifier)`
`static Object`
`trapRead(Object[] args, String name)`
`static Object`
`trapStatic(Object[] args, int identifier)`
`static Object`
`trapWrite(Object[] args, String name)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Sample

public Sample()

## Method Details

### trap

public Object trap(Object[] args, int identifier) throws Throwable

Throws:
  `Throwable`

### trapStatic

public static Object trapStatic(Object[] args, int identifier) throws Throwable

Throws:
  `Throwable`

### trapRead

public static Object trapRead(Object[] args, String name)

### trapWrite

public static Object trapWrite(Object[] args, String name)